Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceVoice

Get Voice Workflow

GET
/voice/workflows/{id}

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

curl -X GET "https://samva.app/api/v1/voice/workflows/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "voiceAgentId": "76faa691-e3de-464f-8a1b-6da7c28e3c80",
  "name": "string",
  "description": "string",
  "nodes": [
    {
      "id": "string",
      "type": "trigger.callStarted",
      "position": {
        "x": 0,
        "y": 0
      },
      "data": {
        "label": "string",
        "description": "string",
        "config": {
          "property1": null,
          "property2": null
        }
      },
      "selected": true,
      "dragging": true
    }
  ],
  "edges": [
    {
      "id": "string",
      "source": "string",
      "target": "string",
      "sourceHandle": "string",
      "targetHandle": "string",
      "label": "string",
      "type": "string",
      "animated": true
    }
  ],
  "viewport": {
    "x": 0,
    "y": 0,
    "zoom": 0.1
  },
  "isEnabled": true,
  "version": -9007199254740991,
  "publishedAt": "2019-08-24T14:15:22Z",
  "publishedNodes": [
    {
      "id": "string",
      "type": "trigger.callStarted",
      "position": {
        "x": 0,
        "y": 0
      },
      "data": {
        "label": "string",
        "description": "string",
        "config": {
          "property1": null,
          "property2": null
        }
      },
      "selected": true,
      "dragging": true
    }
  ],
  "publishedEdges": [
    {
      "id": "string",
      "source": "string",
      "target": "string",
      "sourceHandle": "string",
      "targetHandle": "string",
      "label": "string",
      "type": "string",
      "animated": true
    }
  ],
  "publishedViewport": {
    "x": 0,
    "y": 0,
    "zoom": 0.1
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}